Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 344 - /usr/bin/passwd segfaults when using non-pwdb pam modules
Summary: /usr/bin/passwd segfaults when using non-pwdb pam modules
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pwdb
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-08 09:04 UTC by Greg Retkowski
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-10 23:53:40 UTC


Attachments (Terms of Use)

Description Greg Retkowski 1998-12-08 09:04:15 UTC
When using pam modules for naming services or authentication
databases not directly supported by pwdb (such as LDAP) the
passwd command will segfault. This is due to pwdb subverting
standard UNIX system calls that should be handled by the
Nameservice Switch (NSS) module (ie getpwuid, getpwnam).
Thus when a nameservice/pam module not known to pwdb is used
passwd.c (line 76) 'user' gets a null pointer and the
following strdup call causes a segmentation fault.

Comment 1 Cristian Gafton 1998-12-10 23:53:59 UTC
pwdb needs a rewrite to be able to deal with that situation.

A future version of pwdb will use the nss modules for perorming the
user lookups. For now, using other modules is not supported. And for
things like ldap one will need a special passwd program anyway.


Note You need to log in before you can comment on or make changes to this bug.